/////////////////////////////////////////////////////////////////////////////
// Name:        DlgLanzador.cpp
// Purpose:     
// Author:      JSJ
// Modified by: 
// Created:     09/24/03 00:02:29
// RCS-ID:      
// Copyright:   (c)2003 Login:
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifdef __GNUG__
#pragma implementation "DlgLanzador.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

////@begin includes
#include "wx/wx.h"
#include "wx/notebook.h"
#include "wx/html/htmlwin.h"
////@end includes

#include "LanzadorApp.h"
#include "DlgLanzador.h"

////@begin XPM images
////@end XPM images

/*!
 * DlgLanzador type definition
 */

IMPLEMENT_CLASS( DlgLanzador, wxPanel )

/*!
 * DlgLanzador event table definition
 */

BEGIN_EVENT_TABLE( DlgLanzador, wxPanel )

////@begin DlgLanzador event table entries
    EVT_BUTTON( wxID_OK, DlgLanzador::OnSalirClick )

////@end DlgLanzador event table entries

END_EVENT_TABLE()

/*!
 * DlgLanzador constructor
 */

DlgLanzador::DlgLanzador( wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style )
{
////@begin DlgLanzador member initialisation
////@end DlgLanzador member initialisation

////@begin DlgLanzador creation
    wxPanel::Create( parent, id, pos, size, style );

    CreateControls();
    Centre();
////@end DlgLanzador creation
}

/*!
 * Control creation for DlgLanzador
 */

void DlgLanzador::CreateControls()
{    
////@begin DlgLanzador content construction

    DlgLanzador* item1 = this;

    wxBoxSizer* item2 = new wxBoxSizer(wxVERTICAL);
    item1->SetSizer(item2);
    item1->SetAutoLayout(TRUE);

    wxBoxSizer* item3 = new wxBoxSizer(wxHORIZONTAL);
    item2->Add(item3, 1, wxGROW|wxALL, 5);

    wxNotebook* item4 = new wxNotebook(item1, ID_NOTEBOOK, wxDefaultPosition, wxSize(600, 400), wxNB_TOP|wxNO_BORDER);
    wxTextCtrl* item5 = new wxTextCtrl(item4, ID_TEXTCTRL, _T(""), wxDefaultPosition, wxDefaultSize, wxTE_MULTILINE|wxTE_READONLY|wxTE_RICH|wxTE_RICH2);
    txtCompilar = item5;
    item4->AddPage(item5, _T("Compilar"));
    wxPanel* item6 = new wxPanel(item4, ID_PANEL, wxDefaultPosition, wxSize(100, 80), wxTAB_TRAVERSAL);
    item6->SetBackgroundColour(wxColour(255, 255, 255));
    wxBoxSizer* item7 = new wxBoxSizer(wxHORIZONTAL);
    item6->SetSizer(item7);
    item6->SetAutoLayout(TRUE);
    wxBitmap item8Bitmap;
    wxStaticBitmap* item8 = new wxStaticBitmap(item6, wxID_STATIC, item8Bitmap, wxDefaultPosition, wxSize(164, 164), 0);
    logo = item8;
    item7->Add(item8, 0, wxALIGN_TOP, 5);
    wxHtmlWindow* item9 = new wxHtmlWindow(item6, ID_HTMLWINDOW, wxDefaultPosition, wxSize(200, 150), wxHW_SCROLLBAR_AUTO);
    htmlAcercaDe = item9;
    item9->SetBackgroundColour(wxColour(255, 255, 255));
    item7->Add(item9, 1, wxGROW|wxALL, 5);
    item4->AddPage(item6, _T("Acerca de..."));
    item3->Add(item4, 1, wxGROW|wxALL, 5);

    wxButton* item10 = new wxButton(item1, wxID_OK, _T("Salir"), wxDefaultPosition, wxDefaultSize, 0);
    item2->Add(item10, 0, wxALIGN_RIGHT|wxALL, 5);

////@end DlgLanzador content construction
}

/*!
 * Should we show tooltips?
 */

bool DlgLanzador::ShowToolTips()
{
  return TRUE;
}
/*!
 * wxEVT_COMMAND_BUTTON_CLICKED event handler for wxID_OK
 */

void DlgLanzador::OnSalirClick( wxCommandEvent& event )
{
    wxGetApp().Salir();
}

